# MatMatMultSymbolic

Performs construction, preallocation, and computes the ij structure of the matrix-matrix product C=A*B. Call this routine before calling MatMatMultNumeric().

### Synopsis

    #include "petscmat.h"
    PetscErrorCode PETSCMAT_DLLEXPORT MatMatMultSymbolic(Mat A,Mat B,PetscReal fill,Mat *C)

Collective on Mat

### Input Parameters

| A | - the left matrix
| B | - the right matrix
| fill | - expected fill as ratio of nnz(C)/(nnz(A) + nnz(B))

### Output Parameters

C -the matrix containing the ij structure of product matrix

### Notes

C will be created and must be destroyed by the user with MatDestroy().

This routine is currently implemented for - pairs of AIJ matrices and classes which inherit from AIJ, C will be of type MATAIJ. - pairs of AIJ (A) and Dense (B) matrix, C will be of type MATDENSE.

### See Also

MatMatMult(), MatMatMultNumeric()

Level:intermediate
Location: src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages